%define subrel 1

Name:           backup-manager
Version:        0.7.15
Release:        %mkrel 2
Summary:        A command line backup tool for GNU/Linux
Summary(fr):    Outil de sauvegarde en ligne de commande pour GNU/Linux
Summary(it):    Strumento per il backup da riga di comando per GNU/Linux
Group:          Archiving/Backup
License:        GPLv2+
URL:            http://www.backup-manager.org
Source0:        https://github.com/sukria/Backup-Manager/archive/%{version}/Backup-Manager-%{version}.git.tar.gz
BuildArch:      noarch
BuildRequires:  gettext
Requires:       util-linux-ng
Requires:       bc
Requires:       bzip2
Requires:       dar
Requires:       diffutils
Requires:       less
Requires:       gettext
Requires:       gnupg
Requires:       gzip
Requires:       openssh-clients
Requires:       rsync
Requires:       sed
Requires:       tar
Requires:       which
Recommends:     cdrkit-genisoimage
Recommends:     cdrkit
Recommends:     dvd+rw-tools
Recommends:     krb5-appl-clients

%description
Backup Manager is a command line backup tool for GNU/Linux, designed to help
you make daily archives of your file system. Written in bash and Perl, it can
make archives in lots of open formats (tar, gzip, bzip2, lzma, dar, zip) and
provides lots of interesting features (such as network exports or CD/DVD
automated-burning).

The program is designed to be as easy to use as possible and is popular with
desktop users and sysadmins. The whole backup process is defined in one
full-documented configuration file which needs no more than 5 minutes to tune
for your needs.

%description -l fr
Backup Manager est un outil de sauvegarde en ligne de commande, conçu pour vous
aider dans la sauvegarde quotidienne de vos fichiers systèmes. Écrit en bash et
en Perl il peut archiver sous plusieurs de formats (tar, gzip, bzip2, lzma,
dar, zip) et fourni une liste intéressante de fonctionnalités (telle que
l'export au travers du réseau ou la gravure sur CD/DVD).

Ce programme est conçu pour être aussi simple que possible à utiliser autant
par des utilisateurs lambdas que par des administrateurs système. Tout le
processus de sauvegarder est défini dans un seul fichier de configuration
parfaitement documenté, et qui prend moins de 5 minutes à configurer selon
vos besoins.

%description -l it
Backup Manager è uno strumento per il backup da riga di comando, concepito
per aiutarvi nel backup quotidiano dei vostri file di sistema. Scritto in bash
e Perl, può archiviare in diversi formati (tar, gzip, bzip2, lzma, dar, zip)
e fornisce una lista interessante di funzionalità (come l'esportazione via rete
o la masterizzazione automatica di CD/DVD).

Il programma è progettato per essere semplice da usare ed è popolare tra utenti
desktop e amministratori di sistema. L'intero processo di backup è definito in
un unico file di configurazione ampiamente documentato che richiede non più di 
5 minuti per essere personalizzato in funzione delle vostre necessità.

%prep
%setup -q -n Backup-Manager-%{version}

# Clean Makefile
sed -i -e "s@install -o root -g 0 @install @" Makefile

# rpmlint W: file-not-utf8
for file in  ChangeLog THANKS; do
    iconv -f ISO_8859-1 -t UTF-8 -o ${file}{.utf8,}
    mv ${file}{.utf8,}
done;

%build
%make_build

%install
%make_install \
    PREFIX=%{_prefix} \
    DESTDIR=%{buildroot} \
    VARDIR=%{_localstatedir}/lib/%{name} \
    PERL5DIR=%{perl_vendorlib}

%find_lang %{name}

# Create backup directory
install -d %{buildroot}%{_localstatedir}/lib/%{name}

# Copy configuration
install -p -D -m 0644 %{buildroot}%{_datadir}/%{name}/%{name}.conf.tpl \
    %{buildroot}%{_sysconfdir}/%{name}.conf
perl -pi \
    -e 's|BM_REPOSITORY_ROOT="/var/archives"|BM_REPOSITORY_ROOT="%{_localstatedir}/lib/%{name}"|' \
    %{buildroot}%{_sysconfdir}/%{name}.conf

# Add cron.daily
install -d -m 755 %{buildroot}%{_sysconfdir}/cron.daily/
cat > %{buildroot}%{_sysconfdir}/cron.daily/%{name} <<EOF
#!/bin/sh
%{_sbindir}/%{name} -v
EOF
chmod 755 %{buildroot}%{_sysconfdir}/cron.daily/%{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README.md THANKS
%{_bindir}/%{name}-purge
%{_bindir}/%{name}-upload
%{_sbindir}/%{name}
%{perl_vendorlib}/BackupManager
%{_datadir}/%{name}/
%{_prefix}/lib/%{name}/
%{_mandir}/man8/%{name}*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sysconfdir}/cron.daily/%{name}
%{_localstatedir}/lib/%{name}


%changelog
* Sat Jul 06 2019 guillomovitch <guillomovitch> 0.7.15-2.1.mga7
+ Revision: 1419112
- extract sources directly from git, as release tarball is borken

* Thu Sep 20 2018 umeabot <umeabot> 0.7.15-2.mga7
+ Revision: 1277630
- Mageia 7 Mass Rebuild

* Sat Jul 07 2018 daviddavid <daviddavid> 0.7.15-1.mga7
+ Revision: 1242474
- new version: 0.7.15

* Fri Jan 05 2018 daviddavid <daviddavid> 0.7.14-1.mga7
+ Revision: 1190375
- new version: 0.7.14

* Wed Jul 19 2017 guillomovitch <guillomovitch> 0.7.13-2.mga7
+ Revision: 1125153
- fix modules location registered at installation time
+ daviddavid <daviddavid>
- no need to use our compile flags

* Fri Jan 27 2017 daviddavid <daviddavid> 0.7.13-1.mga6
+ Revision: 1083601
- new version: 0.7.13
- use our compile flags

* Sat Jun 18 2016 pterjan <pterjan> 0.7.11-2.mga6
+ Revision: 1022099
- Rebuild for perl 5.22.2

* Mon Dec 28 2015 guillomovitch <guillomovitch> 0.7.11-1.mga6
+ Revision: 916619
- new version 0.7.11
- drop implicit dependencies, switch non-mandatory ones to optional dependencies
- use /var/lib/backup-manager as default backup location

* Wed Oct 15 2014 umeabot <umeabot> 0.7.10-8.mga5
+ Revision: 748301
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.10-7.mga5
+ Revision: 678096
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.7.10-6.mga4
+ Revision: 545796
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 0.7.10-5.mga4
+ Revision: 501824
- add patch from fedora to fix POD syntax

* Fri Jan 11 2013 umeabot <umeabot> 0.7.10-4.mga3
+ Revision: 346827
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 0.7.10-3.mga3
+ Revision: 310362
- fix RPM group

* Thu Jan 05 2012 matteo <matteo> 0.7.10-2.mga2
+ Revision: 191865
+ rebuild (emptylog)

* Sat Nov 26 2011 matteo <matteo> 0.7.10-1.mga2
+ Revision: 171980
- fixed ftp and perl requires
- fixed some rpmlint warnings
- imported package backup-manager

